/*******************************************************************************
 * Copyright (c) 2014, 2018 Red Hat and others.
 * 
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *     Red Hat - Initial API and implementation
 *******************************************************************************/
package org.eclipse.linuxtools.systemtap.ui.consolelog.structures;

import org.eclipse.linuxtools.internal.systemtap.ui.consolelog.structures.Messages;

/**
 * A class containing all properties relating to a remote run of a SystemTap
 * script, such as user name and password.
 * @since 3.0
 */
public class RemoteScriptOptions {
    public final String userName;
    public final String password;
    public final String hostName;
    public final int port;

    public RemoteScriptOptions(String userName, String password, String hostName, int port) {
        if (userName == null || password == null || hostName == null) {
            throw new IllegalArgumentException(Messages.RemoteScriptOptions_invalidArguments);
        }
        this.userName = userName;
        this.password = password;
        this.hostName = hostName;
        this.port = port;
    }
}
